using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Xml;
using System.Collections.ObjectModel;

public partial class Sample : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.MapTools.Logo.Enabled = true;

            TiledWmsLayer wmsLayer = new TiledWmsLayer(new Uri[] { new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx") });
            wmsLayer.Open();

            foreach (var item in wmsLayer.GetServerLayerNames())
            {
                wmsLayer.ActiveLayerNames.Add(item);
            }

            // the styles count must be the same as layers count or 0.
            foreach (var item in wmsLayer.GetServerStyleNames())
            {
                wmsLayer.ActiveStyleNames.Add(item);
            }

            Map1.CurrentExtent = new RectangleShape(-8.722, 64.25, 13.574, -5.829);

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(wmsLayer);

            Map1.CustomOverlays.Add(overlay);
        }
    }
}
